package rhu_RPMs_Template;

use strict;

# -----------------------------------------------------------------------------
# -- PUBLIC METHODS :
# -----------------------------------------------------------------------------

# -- return name of given RPM (this is nearly a redundant method) : 

sub name() {

  my $self = shift;
  my $rpm  = shift;

    if (defined $self->{NAMES}->{$rpm}) {
        return $self->{NAMES}->{$rpm};
      }
    else {
        die "\n\n " . (caller(0))[3] . " :  NAMES->$rpm not defined!\n\n";
      }
  }


# -----------------------------------------------------------------------------
# -- return version of given RPM :

sub vers() {

  my $self = shift;
  my $rpm  = shift;

    if (defined $self->{VERS}->{$rpm}) {
        return $self->{VERS}->{$rpm};
      }
    else {
        die "\n\n " . (caller(0))[3] . " :  VERS->$rpm not defined!\n\n";
      }
  }


# -----------------------------------------------------------------------------
# -- return release number of given RPM :

sub rels() {

  my $self = shift;
  my $rpm  = shift;

    if (defined $self->{RELS}->{$rpm}) {
        return $self->{RELS}->{$rpm};
      }
    else {
        die "\n\n " . (caller(0))[3] . " :  RELS->$rpm not defined!\n\n";
      }
  }


# -----------------------------------------------------------------------------
# -- return name-version-release of given RPM, i.e., filename minus 
#    architecture and the "rpm" suffix :

sub nvr() {

  my $self = shift;
  my $rpm  = shift;
   
    if (    (defined $self->{NAMES}->{$rpm})
         && (defined $self->{VERS}->{$rpm})
         && (defined $self->{RELS}->{$rpm})) {

        return $self->{NAMES}->{$rpm} . "-" . $self->{VERS}->{$rpm} 
                                      . "-" . $self->{RELS}->{$rpm};
      }
    else {
        die "\n\n " . (caller(0))[3] . " :  RELS->$rpm not defined!\n\n";
      }
  }


# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
